Package org.optaplanner.core.impl.score.buildin.simplelong

## Class SimpleLongScoreInliner

- java.lang.Object
- - org.optaplanner.core.impl.score.inliner.ScoreInliner<SimpleLongScore>
  - - org.optaplanner.core.impl.score.buildin.simplelong.SimpleLongScoreInliner

-     public final class SimpleLongScoreInliner
      extends ScoreInliner<SimpleLongScore>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.inliner.ScoreInliner

      `constraintMatchEnabled`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `SimpleLongScoreInliner​(Map<Constraint,​SimpleLongScore> constraintToWeightMap, boolean constraintMatchEnabled)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `WeightedScoreImpacter` | `buildWeightedScoreImpacter​(Constraint constraint)` | Create a new instance of `WeightedScoreImpacter` for a particular constraint.
    `SimpleLongScore` | `extractScore​(int initScore)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.inliner.ScoreInliner

      `addConstraintMatch, getConstraintMatchTotalMap, getConstraintWeight, getIndictmentMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleLongScoreInliner

          protected SimpleLongScoreInliner​(Map<Constraint,​SimpleLongScore> constraintToWeightMap,
                                           boolean constraintMatchEnabled)

  - ### Method Detail

    - #### buildWeightedScoreImpacter

          public WeightedScoreImpacter buildWeightedScoreImpacter​(Constraint constraint)

      Description copied from class: `ScoreInliner`
      Create a new instance of `WeightedScoreImpacter` for a particular constraint.
      Specified by:
        `buildWeightedScoreImpacter` in class `ScoreInliner<SimpleLongScore>`
      Parameters:
        `constraint` - never null
      Returns:
        never null

    - #### extractScore

          public SimpleLongScore extractScore​(int initScore)

      Specified by:
        `extractScore` in class `ScoreInliner<SimpleLongScore>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`